CSINH(3)

NAME
csinh, csinhf, csinhl - complex hyperbolic sine

SYNOPSIS
libm
#include <complex.h>
double complex
csinh(double complex z);
float complex
csinhf(float complex z);
long double complex
csinhl(long double complex z);

DESCRIPTION
The csinh(), csinhf() and csinhl() functions compute the complex hyperbolic sine of z.

For all complex floating-point numbers z,

    csinh(z) = (cexp(z) - cexp(-z)) / 2.

RETURN VALUES
The csinh(), csinhf() and csinhl() functions return the complex hyperbolic sine of z.

SEE ALSO
ccosh(3), ctanh(3)

STANDARDS
The csinh(), csinhf() and csinhl() functions conform to isoC-99.